### Property

# Handy Deck:transition-type

since: 1.0

#### Declaration

    property transition-type: Handy.DeckTransitionType [ read, write ]

#### Description [src]

The type of animation that will be used for transitions between children.

The transition type can be changed without problems at runtime, so it is possible to change the animation based on the child that is about to become current.

Type:`HdyDeckTransitionType`

Available since: 1.0

Default value | HDY_DECK_TRANSITION_TYPE_OVER
Getter method | `hdy_deck_get_transition_type()`
Setter method | `hdy_deck_set_transition_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no